%define pkg     libmemcached
%define ver     1.0.18
%define maj     %(echo %{ver} | cut -d'.' -f1)
%define min     %(echo %{ver} | cut -d'.' -f2)
%define pkg_str %{pkg}%{maj}%{min}


Summary:        A client library for memcached
Name:           %{pkg_str}
Version:        %{ver}
Release:        1%{?dist}%{?pext}
License:        BSD
Group:          System Environment/Libraries
Source0:        http://launchpad.net/%{pkg}/%{maj}.%{min}/%{ver}/+download/%{pkg}-%{ver}.tar.gz
URL:            http://%{pkg}.org/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         Brian Aker <brian@tangent.org>
BuildRequires:  cyrus-sasl-devel libevent20-devel
BuildRequires:  memcached
# XXX: Workaround for PR#1076181
BuildRequires:  gcc44-c++

%description
Libmemcached is a C and C++ client library to memcached, a high-performance
distributed memory object caching system. It has been designed to be light
on memory usage, thread safe, and provide full access to server side methods.


%package        devel
Summary:        Development tools for %{pkg}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       cyrus-sasl-devel libevent20-devel
Requires:       pkgconfig
Conflicts:      %{pkg}-devel < %{version}-%{release}

%description    devel
The %{name}-devel package contains the libraries and header files for
developing software using %{pkg}.


%package        progs
Summary:        Related programs for %{pkg}
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Conflicts:      %{pkg}-progs < %{version}-%{release}

%description    progs
The %{name}-progs package contains several commandline tools for
%{pkg}.


%package        static
Summary:        Static libraries for %{pkg}
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}
Conflicts:      %{pkg}-static < %{version}-%{release}

%description    static
The %{name}-static package contains the statically linkable libraries
for %{pkg}.


%prep
%setup -q -n %{pkg}-%{ver}


%build
export CC="gcc44"
export CXX="g++44"
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -Wno-unknown-pragmas"
export CXXFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -Wno-unknown-pragmas"

%configure \
	--enable-shared               \
	--enable-static               \
	--enable-libmemcachedprotocol \
	--with-memcached=%{_sbindir}/memcached

%{__make} V=1 %{?_smp_mflags}


#%check
#%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,??}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS
%doc README README.FIRST THANKS TODO
%{_libdir}/libhashkit.so.*
%{_libdir}/%{pkg}.so.*
%{_libdir}/%{pkg}protocol.so.*
%{_libdir}/%{pkg}util.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libhashkit*
%{_includedir}/%{pkg}*
%{_libdir}/libhashkit.la
%{_libdir}/libhashkit.so
%{_libdir}/%{pkg}.la
%{_libdir}/%{pkg}.so
%{_libdir}/%{pkg}protocol.la
%{_libdir}/%{pkg}protocol.so
%{_libdir}/%{pkg}util.la
%{_libdir}/%{pkg}util.so
%{_libdir}/pkgconfig/%{pkg}.pc
%{_datadir}/aclocal/ax_%{pkg}.m4
%{_mandir}/man3/*.3*

%files progs
%defattr(-,root,root)
%{_bindir}/memcapable
%{_bindir}/memcat
%{_bindir}/memcp
%{_bindir}/memdump
%{_bindir}/memerror
%{_bindir}/memexist
%{_bindir}/memflush
%{_bindir}/memparse
%{_bindir}/memping
%{_bindir}/memrm
%{_bindir}/memslap
%{_bindir}/memstat
%{_bindir}/memtouch
%{_mandir}/man1/*.1*

%files static
%defattr(-,root,root)
%{_libdir}/libhashkit.a
%{_libdir}/%{pkg}.a
%{_libdir}/%{pkg}protocol.a
%{_libdir}/%{pkg}util.a


%changelog
* Fri Nov 20 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.18-1
- Initial build
